gov.ornl.mercury3.beans

## Class stringBean

- java.lang.Object
- - gov.ornl.mercury3.beans.stringBean

-     public class stringBean
      extends Object

  Contains the methods used to construct the solr queries for the Web Browse Tree.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `stringBean()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.json.JSONArray` | `build_dynamic_jsonarray_docs(Response res, browseBean bb)` Builds a JSONArray given a BrowseBean object and a reference to a solr document object.
    `org.json.JSONArray` | `build_dynamic_jsonarray(ArrayList titles)` TEST: Builds a JSONArray given an array.
    `org.json.JSONArray` | `build_dynamic_jsonarray(Response res)` TEST: Builds JSONArray given a SOLR response object.
    `org.json.JSONArray` | `build_dynamic_jsonarray(Response res, browseBean bb)` Build_dynamic_jsonarray.
    `org.json.JSONArray` | `build_dynamic_jsonarray(Response res, String tree_datasource)` TEST: Builds a JSONArray given a solr document response object and a datasource name.
    `org.json.JSONArray` | `build_jsonarray()` TEST: method for returning static JSONArray.
    `org.json.JSONArray` | `build_jsonarray(browseBean bb)` TEST: Builds and returns a JSONArray based on a BrowseBean object.
    `String` | `getString()` Gets the string.
    `String` | `getString(ArrayList titles)` Gets the string.
    `String` | `getString(browseBean bb)` Gets the string.
    `String` | `getString(Response res)` TEST: Gets the string.
    `String` | `getString(Response res, browseBean bb)` Builds the JSONArray as a string.
    `String` | `getString(Response res, String tree_datasource)` TEST: Gets the string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### stringBean

          public stringBean()

  - ### Method Detail

    - #### build_jsonarray

          public org.json.JSONArray build_jsonarray()

      TEST: method for returning static JSONArray.
      Returns:
        the JSONArray

    - #### build_jsonarray

          public org.json.JSONArray build_jsonarray(browseBean bb)

      TEST: Builds and returns a JSONArray based on a BrowseBean object.
      Parameters:
        `bb` - the BrowseBean object.
      Returns:
        the jSON array

    - #### build_dynamic_jsonarray

          public org.json.JSONArray build_dynamic_jsonarray(ArrayList titles)

      TEST: Builds a JSONArray given an array.
      Parameters:
        `titles` - the document titles
      Returns:
        the jSON array

    - #### build_dynamic_jsonarray

          public org.json.JSONArray build_dynamic_jsonarray(Response res)

      TEST: Builds JSONArray given a SOLR response object.
      Parameters:
        `res` - the res
      Returns:
        the jSON array

    - #### build_dynamic_jsonarray

          public org.json.JSONArray build_dynamic_jsonarray(Response res,
                                                   String tree_datasource)

      TEST: Builds a JSONArray given a solr document response object and a datasource name.
      Parameters:
        `res` - the res
        `tree_datasource` - the tree_datasource
      Returns:
        the jSON array

    - #### build_dynamic_jsonarray

          public org.json.JSONArray build_dynamic_jsonarray(Response res,
                                                   browseBean bb)

      Build_dynamic_jsonarray.
      Parameters:
        `res` - the res
        `bb` - the bb
      Returns:
        the jSON array

    - #### getString

          public String getString()

      Gets the string.
      Returns:
        the string

    - #### getString

          public String getString(browseBean bb)

      Gets the string.
      Parameters:
        `bb` - the bb
      Returns:
        the string

    - #### getString

          public String getString(ArrayList titles)

      Gets the string.
      Parameters:
        `titles` - the titles
      Returns:
        the string

    - #### getString

          public String getString(Response res)

      TEST: Gets the string.
      Parameters:
        `res` - the res
      Returns:
        the string

    - #### getString

          public String getString(Response res,
                         String tree_datasource)

      TEST: Gets the string.
      Parameters:
        `res` - the res
        `tree_datasource` - the tree_datasource
      Returns:
        the string

    - #### getString

          public String getString(Response res,
                         browseBean bb)

      Builds the JSONArray as a string.
      Parameters:
        `res` - the solr response
        `bb` - the BrowseBean
      Returns:
        the JSONArray

    - #### build_dynamic_jsonarray_docs

          public org.json.JSONArray build_dynamic_jsonarray_docs(Response res,
                                                        browseBean bb)

      Builds a JSONArray given a BrowseBean object and a reference to a solr document object.
      Parameters:
        `res` - solr document
        `bb` - the BrowseBean
      Returns:
        the JSONArray

Copyright © 2016. All rights reserved.